[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImageListCache' (#lcl)

# TImageCacheItem

Represents an item in the cache.

## Declaration

Source position: imagelistcache.pas line 37

`type TImageCacheItem = record`
`FImageList: TCustomImageList;` |  | Reference to the image list.
`FListener: IImageCacheListener;` |  | Reference to the listener interface.
`FImageIndexes: array of Integer;` |  | Indices in the image list that the listener has reserved.
`end;`

## See also

TImageCacheItems |  | Implements a container for cached image lists.
TImageListCache |  | Implements a caching mechanism for image lists.